Page MenuHomePhabricator

RC filters - Clicking on "Show new changes starting from..." does not display resulting message "Below are the changes since... "
Closed, ResolvedPublic

Description

Found when checking T156697: "Days" and "limit" links on RC page need AJAX

There is a link, e.g. Show new changes starting from 21:50, 3 March 2017

<span class="rclistfrom"><a href="/w/index.php?title=Special:RecentChanges&amp;from=20170303221259" title="Special:RecentChanges" data-params="{&quot;from&quot;:&quot;20170303221259&quot;}" data-keys="from" class="mw-rcfilters-staticfilters-selected">Show new changes starting from 22:12, 3 March 2017</a></span>

When it clicked it gives -https://en.wikipedia.beta.wmflabs.org/wiki/Special:RecentChanges?hideliu=0&hideanons=0&userExpLevel=all&hidemyself=0&hidebyothers=0&hidebots=1&hidehumans=0&hideminor=0&hidemajor=0&hidepageedits=0&hidenewpages=0&hidecategorization=1&hidelog=0&from=20170303221259

The UI:

However, when the link clicked to be opened in a different tab ( or clicked on the RC page without filters)

Note
Current production (enwiki) displays "Below are the changes since..." on the new RC page (with filters)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2017, 10:29 PM

Change 341040 had a related patch set uploaded (by wikigit):
[mediawiki/core] RCFilters UI, Followup I97a45208: Replace the entire fieldset

https://gerrit.wikimedia.org/r/341040

Mooeypoo claimed this task.Mar 3 2017, 11:14 PM
Mooeypoo added a subscriber: Mooeypoo.

This will be fixed when https://gerrit.wikimedia.org/r/#/c/341040/ is merged, because we are now replacing everything in the fieldset.

I tested it with that patchset, and it fixes the bug. Adding it here and moving to 'needs review'.

Change 341040 merged by jenkins-bot:
[mediawiki/core] RCFilters UI, Followup I97a45208: Replace the entire fieldset

https://gerrit.wikimedia.org/r/341040

jmatazzoni closed this task as Resolved.Mar 9 2017, 12:44 AM